#!/bin/sh

#  Copyright (C) 2005-2007 FUNAMBOL.
#
#  instructions:
#  - set the JAVA_HOME
#  - set the path for the JDBC driver
#
#
CURRENT_DIR=$PWD
INBOXLISTENER_HOME=$CURRENT_DIR

if [ ! -r "$INBOXLISTENER_HOME/bin/inboxlistener.sh" ]; then
  cd ..
  INBOXLISTENER_HOME=$PWD
fi


# to be defined
# -------------
JAVA_HOME="$INBOXLISTENER_HOME/../tools/jre-1.5.0/jre"
JDBC_JAR=
JMX_PORT=4099

IL_LIB="$INBOXLISTENER_HOME/lib/funambol-framework.jar:$INBOXLISTENER_HOME/lib/funambol-server.jar:$INBOXLISTENER_HOME/lib/funambol-ext-6.0.1.jar:$INBOXLISTENER_HOME/lib/axis.jar:$INBOXLISTENER_HOME/lib/commons-dbcp-1.2.1.jar:$INBOXLISTENER_HOME/lib/commons-discovery-0.4.jar:$INBOXLISTENER_HOME/lib/commons-lang-2.2.jar:$INBOXLISTENER_HOME/lib/commons-logging-1.1.jar:$INBOXLISTENER_HOME/lib/commons-pool-1.3.jar:$INBOXLISTENER_HOME/lib/commons-httpclient-3.1-beta1.jar:$INBOXLISTENER_HOME/lib/commons-codec-1.3.jar:$INBOXLISTENER_HOME/lib/jaxrpc.jar:$INBOXLISTENER_HOME/lib/log4j-1.2.14.jar:$INBOXLISTENER_HOME/lib/saaj.jar:$INBOXLISTENER_HOME/lib/wsdl4j-1.5.1.jar:$INBOXLISTENER_HOME/lib/mail.jar:$INBOXLISTENER_HOME/lib/activation.jar"

IL_JAR="$INBOXLISTENER_HOME/lib/funambol-inboxlistener-6.0.1.jar"

CLASSPATH="-classpath $JDBC_JAR:$IL_LIB:$IL_JAR"


if [ "$1" = "start" ] ; then

  JAVA_OPTS="-Dfunambol.inboxlistener.home=$INBOXLISTENER_HOME -Djava.library.path=$INBOXLISTENER_HOME/lib/linux -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=$JMX_PORT -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false"

  # Uncomment the following line to enable remote debug
  # JAVA_OPTS=$JAVA_OPTS -Xdebug -Xrunjdwp:transport=dt_socket,address=8788,server=y,suspend=n

  if [ "$2" = "-debug" ] ; then
    "$JAVA_HOME/bin/java" $JAVA_OPTS $CLASSPATH \
    com.funambol.email.inboxlistener.engine.MessageProcessor
  else
    "$JAVA_HOME/bin/java" $JAVA_OPTS $CLASSPATH \
    com.funambol.email.inboxlistener.engine.MessageProcessor  > /dev/null 2>&1 </dev/zero &
  fi

  cd $CURRENT_DIR

elif [ "$1" = "stop" ]; then

  "$JAVA_HOME/bin/java" $JAVA_OPTS $CLASSPATH \
  com.funambol.email.inboxlistener.engine.ManagementTools localhost $JMX_PORT stop

  cd $CURRENT_DIR

elif [ "$1" = "console" ] ; then

  JAVA_OPTS="-Dfunambol.inboxlistener.home=$INBOXLISTENER_HOME -Djava.library.path=$INBOXLISTENER_HOME/lib/linux"

  "$JAVA_HOME/bin/java" $JAVA_OPTS $CLASSPATH \
  com.funambol.email.inboxlistener.console.Menu

  cd $CURRENT_DIR

elif [ "$1" = "status" ] ; then

  echo CLASSPATH: "$CLASSPATH"
  echo JAVA_OPTS: $JAVA_OPTS

  "$JAVA_HOME/bin/java" $JAVA_OPTS -classpath "$CLASSPATH" \
  com.funambol.email.inboxlistener.engine.ManagementTools localhost $JMX_PORT status

  cd $CURRENT_DIR

else

  echo "Usage: inboxlistener.sh  commands"
  echo "commands:"
  echo "  start           Start InboxListener"
  echo "  start -debug    Start InboxListener with output console"
  echo "  stop            Stop  InboxListener"
  echo "  console         Start InboxListener command line console"
  echo "  status          Show  InboxListener status"
  exit 1

fi
